//
//  AppDelegate.h
//  Phototype is an innovative interface for browsing an image database
//
//  Created by Alexis Taugeron on 21/11/10.
//  Copyright 2010 Alexis Taugeron & Adrien Kohlbecker
//
//	Licensed under the Apache License, Version 2.0 (the "License");
//	you may not use this file except in compliance with the License.
//	You may obtain a copy of the License at
//	
//	http://www.apache.org/licenses/LICENSE-2.0
//	
//	Unless required by applicable law or agreed to in writing, software
//	distributed under the License is distributed on an "AS IS" BASIS,
//	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//	See the License for the specific language governing permissions and
//	limitations under the License.
//	


#import <UIKit/UIKit.h>
#import "LocalSource.h"
#import "ImageDatabase.h"
#import "NavigationController.h"
#import "SplitViewController.h"
#import "FilterPanelController.h"
#import "ImageGridController.h"
#import "ObjectiveFlickr.h"


@interface AppDelegate : NSObject <UIApplicationDelegate> {
    UIWindow *window;
	NavigationController *navigation;
	SplitViewController *split;
	FilterPanelController *filterPanel;
	ImageGridController *grid;
	LocalSource *source;
	ImageDatabase *database;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;

@end

