//
//  ImageGridController.h
//  The area of the screen where we display the thumbnails or full-size images
//
//  Created by Alexis Taugeron on 21/11/10.
//  Copyright 2010 Alexis Taugeron & Adrien Kohlbecker
//
//	Licensed under the Apache License, Version 2.0 (the "License");
//	you may not use this file except in compliance with the License.
//	You may obtain a copy of the License at
//	
//	http://www.apache.org/licenses/LICENSE-2.0
//	
//	Unless required by applicable law or agreed to in writing, software
//	distributed under the License is distributed on an "AS IS" BASIS,
//	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//	See the License for the specific language governing permissions and
//	limitations under the License.
//	

#import <UIKit/UIKit.h>
#import "ImageDatabase.h"
#import "ImageDatabaseManager.h"
#import "ImageManager.h"
#import "DatabaseLoadingView.h"


@interface ImageGridController : UIViewController <ImageManager,ImageDatabaseManager> {
	UIViewController *delegate;
	ImageDatabase *database;
	DatabaseLoadingView *loadingView;
	NSMutableDictionary *imageViews;
	NSUInteger widthOfGrid;
	BOOL fullScreen;
	UIInterfaceOrientation intOrientation; //the interfaceOrientation property doesn't seem to work and I've no time to investigate
}

@property (retain) UIViewController *delegate;
@property BOOL fullScreen;

//Initialization
- (id)initWithDatabase:(ImageDatabase *)db;

@end
